
Foreman - Bug #3212

defer MySQL foreign key constraints for rake db:convert:prod2dev

10/08/2013 09:07 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: DB migrations   

Target version: 1.3.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Feature #2400: Add foreign keys on database level Closed 04/15/2013

Copied to Foreman - Bug #3268: defer postgresql foreign key constraints for r... Closed 10/08/2013

Associated revisions

Revision 7e6244e4 - 10/15/2013 06:16 PM - Henning Henkel

fixes #3212 - disable constraint checks for mysql databases during db:prod2dev

Revision c1b30ddf - 10/25/2013 03:36 PM - Henning Henkel

fixes #3212 - disable constraint checks for mysql databases during db:prod2dev

(cherry picked from commit 7e6244e4b15df85a058d30221a7fcdb3a631737d)

History

#1 - 10/08/2013 09:14 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/934

#2 - 10/08/2013 09:17 AM - Dominic Cleal

- Related to Feature #2400: Add foreign keys on database level added

#3 - 10/08/2013 10:51 AM - Lukas Zapletal

- Related to Tracker #3112: [TRACKER] Issues to be released in 1.3 RC or final added

#4 - 10/08/2013 10:52 AM - Lukas Zapletal

I am pulling this into the 1.3 final since it cannot break anything and it is good to have it there.

#5 - 10/14/2013 02:14 PM - Lukas Zapletal

- Target version set to 1.3.0

#6 - 10/15/2013 08:01 AM - Joseph Magen

- Target version changed from 1.3.0 to 1.3.1

#7 - 10/15/2013 11:47 AM - Dominic Cleal

- Related to deleted (Tracker #3112: [TRACKER] Issues to be released in 1.3 RC or final)

#8 - 10/15/2013 06:13 PM - Dominic Cleal
https://github.com/theforeman/foreman/pull/934


- Copied to Bug #3268: defer postgresql foreign key constraints for rake db:convert:prod2dev added

#9 - 10/15/2013 06:14 PM - Dominic Cleal

- Subject changed from defer foreign key constraints for rake db:convert:prod2dev to defer MySQL foreign key constraints for rake

db:convert:prod2dev

https://github.com/theforeman/foreman/pull/939

#10 - 10/15/2013 06:31 PM - Henning Henkel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7e6244e4b15df85a058d30221a7fcdb3a631737d.

#11 - 10/16/2013 03:04 PM - Greg Sutcliffe

- translation missing: en.field_release set to 1

Powered by TCPDF (www.tcpdf.org)

05/16/2024 2/2

https://github.com/theforeman/foreman/pull/939
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7e6244e4b15df85a058d30221a7fcdb3a631737d
http://www.tcpdf.org

